/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
import { TValidationObjectTypes } from "./utils/validations/validator";
import { ECurrencies } from "./types/currencies";
export namespace Components {
    interface FormFieldset {
    }
    interface FormMain {
        "shouldConvertLocale": boolean;
    }
    interface FormMoneyInput {
        "currency": ECurrencies;
        /**
          * internal value of fixed part
         */
        "customValidations": Array<TValidationObjectTypes>;
        /**
          * set default or current value if it's needed from parent
         */
        "defaultValue": string;
        /**
          * set input to disabled
         */
        "disabled": boolean;
        "inputID": string;
        "isRequired": boolean;
        "max": string;
        "min": string;
        /**
          * input name
         */
        "name": string;
        /**
          * set default or current value if it's needed from parent
         */
        "onValidationStateChange": (name: string, value: boolean) => void;
        /**
          * pass value to parent on Change
         */
        "onValueChange": (name: string, value: string) => void;
    }
    interface FormNumberInput {
        /**
          * input readOnly property
         */
        "disabled": boolean;
        "hasError": boolean;
        /**
          * input readOnly property
         */
        "inputID": string;
        /**
          * is input focused for handle focus from outside
         */
        "isFocused": boolean;
        /**
          * input max value property
         */
        "max": string;
        "maxlength": string;
        /**
          * input min value property
         */
        "min": string;
        /**
          * input name property
         */
        "name": string;
        /**
          * input value property
         */
        "onInput": (event) => void;
        "placeHolder": string;
        /**
          * input readOnly property
         */
        "readOnly": boolean;
        /**
          * input required property
         */
        "required": boolean;
        /**
          * input value property
         */
        "value": string;
    }
    interface MainComponent {
    }
}
declare global {
    interface HTMLFormFieldsetElement extends Components.FormFieldset, HTMLStencilElement {
    }
    var HTMLFormFieldsetElement: {
        prototype: HTMLFormFieldsetElement;
        new (): HTMLFormFieldsetElement;
    };
    interface HTMLFormMainElement extends Components.FormMain, HTMLStencilElement {
    }
    var HTMLFormMainElement: {
        prototype: HTMLFormMainElement;
        new (): HTMLFormMainElement;
    };
    interface HTMLFormMoneyInputElement extends Components.FormMoneyInput, HTMLStencilElement {
    }
    var HTMLFormMoneyInputElement: {
        prototype: HTMLFormMoneyInputElement;
        new (): HTMLFormMoneyInputElement;
    };
    interface HTMLFormNumberInputElement extends Components.FormNumberInput, HTMLStencilElement {
    }
    var HTMLFormNumberInputElement: {
        prototype: HTMLFormNumberInputElement;
        new (): HTMLFormNumberInputElement;
    };
    interface HTMLMainComponentElement extends Components.MainComponent, HTMLStencilElement {
    }
    var HTMLMainComponentElement: {
        prototype: HTMLMainComponentElement;
        new (): HTMLMainComponentElement;
    };
    interface HTMLElementTagNameMap {
        "form-fieldset": HTMLFormFieldsetElement;
        "form-main": HTMLFormMainElement;
        "form-money-input": HTMLFormMoneyInputElement;
        "form-number-input": HTMLFormNumberInputElement;
        "main-component": HTMLMainComponentElement;
    }
}
declare namespace LocalJSX {
    interface FormFieldset {
    }
    interface FormMain {
        "shouldConvertLocale"?: boolean;
    }
    interface FormMoneyInput {
        "currency"?: ECurrencies;
        /**
          * internal value of fixed part
         */
        "customValidations"?: Array<TValidationObjectTypes>;
        /**
          * set default or current value if it's needed from parent
         */
        "defaultValue"?: string;
        /**
          * set input to disabled
         */
        "disabled"?: boolean;
        "inputID"?: string;
        "isRequired"?: boolean;
        "max"?: string;
        "min"?: string;
        /**
          * input name
         */
        "name": string;
        /**
          * set default or current value if it's needed from parent
         */
        "onValidationStateChange"?: (name: string, value: boolean) => void;
        /**
          * pass value to parent on Change
         */
        "onValueChange": (name: string, value: string) => void;
    }
    interface FormNumberInput {
        /**
          * input readOnly property
         */
        "disabled"?: boolean;
        "hasError"?: boolean;
        /**
          * input readOnly property
         */
        "inputID": string;
        /**
          * is input focused for handle focus from outside
         */
        "isFocused"?: boolean;
        /**
          * input max value property
         */
        "max"?: string;
        "maxlength"?: string;
        /**
          * input min value property
         */
        "min"?: string;
        /**
          * input name property
         */
        "name": string;
        /**
          * input value property
         */
        "onInput"?: (event) => void;
        "placeHolder"?: string;
        /**
          * input readOnly property
         */
        "readOnly"?: boolean;
        /**
          * input required property
         */
        "required"?: boolean;
        /**
          * input value property
         */
        "value": string;
    }
    interface MainComponent {
    }
    interface IntrinsicElements {
        "form-fieldset": FormFieldset;
        "form-main": FormMain;
        "form-money-input": FormMoneyInput;
        "form-number-input": FormNumberInput;
        "main-component": MainComponent;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "form-fieldset": LocalJSX.FormFieldset & JSXBase.HTMLAttributes<HTMLFormFieldsetElement>;
            "form-main": LocalJSX.FormMain & JSXBase.HTMLAttributes<HTMLFormMainElement>;
            "form-money-input": LocalJSX.FormMoneyInput & JSXBase.HTMLAttributes<HTMLFormMoneyInputElement>;
            "form-number-input": LocalJSX.FormNumberInput & JSXBase.HTMLAttributes<HTMLFormNumberInputElement>;
            "main-component": LocalJSX.MainComponent & JSXBase.HTMLAttributes<HTMLMainComponentElement>;
        }
    }
}
